%define major 0
%define libname %mklibname %{name} %{major}

Name:		kftpgrabber
Version:	0.8.1
Release:	%mkrel 1
License:	GPL
Group:		Networking/File transfer
Summary:	Graphical FTP client for KDE
Source:		http://kftpgrabber.sourceforge.net/releases/%{name}-%{version}.tar.bz2
URL:		http://kftpgrabber.sourceforge.net/
BuildRequires:  openssl-devel
BuildRequires:  kdelibs-devel
BuildRoot:    	%{_tmppath}/%{name}-%{version}-buildroot
Requires:	%{libname} = %{version}-%{release}

%description
KFTPGrabber is a graphical FTP client for KDE. 
It supports SSL encryption, FXP transfers, 
multiple FTP sessions (using tabs), bookmark system and more.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		Networking/File transfer
Requires:	%{name} = %{version}
Provides:	%{libname} = %{version}-%{release}

%description -n %{libname}
Shared libraries for %{name}.


%package -n %{libname}-devel
Summary:	Development files from kftpgrabber
Group:		Development/KDE and Qt
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname}-devel
Headers files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--disable-rpath \
	--with-xinerama \
	--enable-nmcheck \
	--enable-pch \
	--enable-new-ldflags

%make

%install
rm -rf %{buildroot}

%makeinstall_std

desktop-file-install --vendor="" \
	--add-category="X-MandrivaLinux-Internet-FileTransfer" \
	--add-only-show-in="KDE" \
	--dir %{buildroot}%{_datadir}/applications/kde %{buildroot}%{_datadir}/applications/kde/*
	  
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig

%post
%{update_menus}

%postun
%{clean_menus}

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/%{name}
%{_datadir}/applications/kde/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/apps/kftpgrabber/kftpgrabber-bi-wizard.png
%{_datadir}/apps/kftpgrabber/kftpgrabber-logo.png
%{_datadir}/apps/kftpgrabber/kftpgrabberui.rc
%{_datadir}/servicetypes/kftpbookmarkimportplugin.desktop
%{_datadir}/config.kcfg/kftpgrabber.kcfg
%{_datadir}/services/kftpimportplugin_gftp.desktop
%{_datadir}/services/kftpimportplugin_kftp.desktop
%{_datadir}/services/kftpimportplugin_filezilla3.desktop
%{_datadir}/services/kftpimportplugin_ncftp.desktop
%{_datadir}/apps/kftpgrabber/commands.xml


%files -n %{libname}
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libkftpinterfaces.so.%{major}*
%attr(755,root,root) %{_libdir}/kde3/kftp*

%files -n %{libname}-devel
%defattr(644,root,root,755)
%{_includedir}/%{name}/kftpbookmarkimportplugin.h
%attr(755,root,root) %{_libdir}/libkftpinterfaces.so
%attr(755,root,root) %{_libdir}/libkftpinterfaces.la


%changelog
* Sat Apr 28 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 19001
- new version
- drop P0 and S10,S11,S12
- use macros
- update docs
- rewrite whole spec file

  + Mandriva <devel@mandriva.com>


* Fri Aug 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-04 13:35:27 (51744)
- Fix File List

* Fri Aug 04 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-08-04 13:30:08 (51743)
- Rebuild against new DBUS

* Sun Jun 25 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-25 22:49:46 (38029)
- Fix cp

* Sun Jun 25 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-25 22:35:30 (38028)
- Increase release
- Fix for new menu

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:59:38 (37401)
- Fix folder

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:55:41 (37400)
- Add Warning

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:51:09 (37399)
- Increase release
- 0.7.0 Beta1

* Sat Jun 17 2006 Nicolas Lcureuil <neoclust@mandriva.org>
+ 2006-06-17 10:45:19 (37393)
- import kftpgrabber-0.7.0-4mdv2007.0

* Tue Jun 06 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-4mdk
- Rebuild to generate menus

* Wed May 10 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-3mdk
- Rebuild to generate categories

* Wed Mar 22 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-2mdk
- Rebuild to fix ticket 21593

* Fri Dec 23 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.5mdk
- Rebuild

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.4mdk
- Fix Provides
- Fix Typo

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.3mdk
- fix old changelog   thanks blino

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-0.2mdk
- Reupload

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.7.0-1mdk
- Alpha 1

* Wed Jul 20 2005 Nicolas Lcureuil <neoclust@mandriva.org> 0.6.0-2mdk
- Reupload 
- Drop  Patch 0
- Fix install

* Mon May 23 2005 Sebastien Savarin <plouf@mandriva.org> 0.6.0-1mdk
- New Release 0.6.0

* Tue May 03 2005 Sebastien Savarin <plouf@mandriva.org> 0.6.0-0.beta1.1mdk
- 0.6.0-beta1

* Fri Feb 11 2005 Sebastien Savarin <plouf@mandrake.org> 0.5.0-1mdk
- first mandrake release

